<html>

<%@ page import = "java.sql.*, javax.servlet.*, javax.servlet.http.*, java.io.*" %>

<%

String a = request.getParameter("a");
if (a == null) { a = ""; }
String b = request.getParameter("b");
if (b == null) { b = ""; }
String g = request.getParameter("g");
if (g == null) { g = ""; }
String l = request.getParameter("l");
if (l == null) { l = ""; }
String p = request.getParameter("p");
if (p == null) { p = ""; }
String t = request.getParameter("t");
if (t == null) { t = ""; }
String v = request.getParameter("v");
if (v == null) { v = ""; }
String c = request.getParameter("c");
if (c == null) { c = ""; }
String f = request.getParameter("f");
if (f == null) { f = ""; }
String x = request.getParameter("x");
if (x == null) { x = ""; }

String go_value = request.getParameter("go_value");
if (go_value == null) { go_value = ""; }

String go_unit = request.getParameter("go_unit");
if (go_unit == null) { go_unit = ""; }

int meta_start = 1;

if (go_unit.equals("meta_string")) {
	try {
	meta_start = Integer.parseInt(go_value);
	} catch (Exception e) {
	meta_start = 1;
	}
}

%>


<head>
      <meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
   <meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1"><script type="text/javascript" src="http://olive.shef.ac.uk/part/a.js"></script><link rel="stylesheet" href="http://olive.shef.ac.uk/part/d.css" type="text/css"><meta http-equiv="content-type" content="text/html; charset=utf-8"><title>Partonopeus de Blois</title></head><body>
   
<form name="episodes" action="print_output.jsp" target="_blank"><td><div class="chbox">
<table width="80%">
<tr>
<td>
<div class="chbox">Start at metaline:</div>
</td>
<td>
<input type="text" name="start_ml" size="4" value="<%=meta_start%>">
</td>
</tr>
<tr>
<td>
<div class="chbox">End at metaline:</div>
</td>
<td>
<input type="text" name="end_ml" size="4" value="<%=(meta_start + 200)%>">
</td>
</tr>
<tr>
<td><font size="2px">A maximum of 200 lines can be printed at one time</font></td>
</tr>
<tr>
<td>
<div class="chbox">
A<input type="checkbox" name="a" value="1"<% if (a.equals("1")) { %>checked="yes"<% } %>/>
B<input type="checkbox" name="b" value="1"<% if (b.equals("1")) { %>checked="yes"<% } %>/>
G<input type="checkbox" name="g" value="1"<% if (g.equals("1")) { %>checked="yes"<% } %>/>
L<input type="checkbox" name="l" value="1"<% if (l.equals("1")) { %>checked="yes"<% } %>/>
P<input type="checkbox" name="p" value="1"<% if (p.equals("1")) { %>checked="yes"<% } %>/>
T<input type="checkbox" name="t" value="1"<% if (t.equals("1")) { %>checked="yes"<% } %>/>
V<input type="checkbox" name="v" value="1"<% if (v.equals("1")) { %>checked="yes"<% } %>/>
</div><div class="chbox">
C<input type="checkbox" name="c" value="1"<% if (c.equals("1")) { %>checked="yes"<% } %>/>
F<input type="checkbox" name="f" value="1"<% if (f.equals("1")) { %>checked="yes"<% } %>/>
X<input type="checkbox" name="x" value="1"<% if (x.equals("1")) { %>checked="yes"<% } %>/>
</div></td><td align="center">
<input type="image" src="http://olive.shef.ac.uk/part/i/print_selection.gif" value="submit" name="submit">
<br/>
<a href="http://olive.shef.ac.uk/db/part/print.jsp" target="_self"><img src="http://olive.shef.ac.uk/part/i/clear_form.gif" border="0"></a></td></tr>
<tr>
<td colspan="2">
<br/>
<font size="2px">Clicking on 'Print Selection' will generate a new browser window containing a printable version of the selected lines. From this window, please select the 'Print' option in your browser.
<br/><br/>
The printed output will usually benefit from using 'landscape' rather than 'portrait' orientation.</font></td>
</tr>

</table>
</form></body></html>